Delete a competitor

DELETE
/competitors/{competitorId}

Authorization

BearerAuth
headerAuthorizationBearer <token>

An instance admin key from ADMIN_API_KEYS, or an organization key (elmo_…) issued from the dashboard.

Path Parameters

competitorId*string

Competitor identifier (UUID)

Formatuuid

Response Body

Competitor deleted (returns the deleted competitor)

application/json
  1. response
id*string
Formatuuid
brandId*string
name*string
domains*array<string>
aliases*array<string>
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X DELETE 'https://app.elmohq.com/api/v1/competitors/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "brandId": "string",
  "name": "string",
  "domains": [
    "string"
  ],
  "aliases": [
    "string"
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}